#################################s#o#q######################################
## by Arthur Chan @ soqhome.com
#############################################################################

from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.SoQClub.config import *

from Products.CMFCore.utils import getToolByName, ToolInit

from StringIO import StringIO



def install_tools(self, out):
    portal_url = getToolByName(self, 'portal_url')
    p = portal_url.getPortalObject()
    if not hasattr(p, "soqclub_tool"):
        x = p.manage_addProduct['SoQClub'].manage_addTool(type="SoQClub Tool")
        print >>out, "Install Tool okay"
    else:
        print >>out, "Tool already exists."
        
def install_actions(self, out):
    at = getToolByName(self, "portal_actions")
    at.manage_aproviders('soqclub_tool', add_provider=1)
    print >>out, "Install Action okay"



def install(self):
    
    
    out = StringIO()
    print >>out, "Installing SoQClub"

    install_tools(self, out)
    install_actions(self, out)
    install_subskin(self, out, GLOBALS)
    #self.soqclub_tool.load('default.cfg')

    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)
    print >>out, "Finished SoQClub Installation"
    
    return out.getvalue()

    

    
