#################################s#o#q######################################

from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.Archetypes.public import DisplayList

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "SoQClub"
SKINS_DIR = 'skins'
SKINS_CONTENT_DIR = 'skins/SoQClub'

GLOBALS = globals()

##///////////////    Portal setting  ////////////////////##
##############################################################
##                       Basic setting                      ##
##############################################################
SOQPORTAL_CODECS = 'Big5'


##///////////////    Channel setting  ////////////////////##


##############################################################
##                       Cluster setting                    ##
##############################################################

SOQCHANNEL_ENABLE_SYNDICATION = 1
SOQCHANNEL_CLUSTERMASTER = 'http://www.soqhome.com:8083/channel/' # 'http://channel.soqhome.com/' not ready yet, but will be moved here
SOQCHANNEL_CLUSTERMASTER_VALIDMETHODLIST = ['getClusterChannels', 'ackChannel']

##############################################################
##                       Compulsory Slots setting           ##
##############################################################

# for XML-RPC


SOQCHANNEL_SLOTS_BASICLEFT= ('here/soqnavigation_slot/macros/navigationBox',)
SOQCHANNEL_SLOTS_BASICRIGHT= ('here/soqcalendar_slot/macros/calendarBox','here/soqposter_slot/macros/posterBox','here/soqrproxy_slot/macros/rproxyBox')

SOQCHANNEL_ALLOW_CONTENT_TYPE= [ 'SoQActivity', 'SoQPoster', 'Event', 'News Item', 'Article', 'SoQRemoteChannel']
SOQCHANNEL_PUBLISH_PORTAL_TYPE= [ 'SoQ Activity', 'SoQ Poster', 'Event', 'Article', 'News Item']

##///////////////    Activity setting  ////////////////////##

##############################################################
##                       Basics setting                     ##
##############################################################

SOQACTIVITY_ALLOW_CONTENT_TYPE =[ 'SoQVideo', 'SoQAudio', 'Form', 'PlonePopoll']

##############################################################
##                       Auxiliary/Slots setting            ##
##############################################################


## you have to set the key, name, slots, and slot position when you add you auxiliary slot


SOQAUXILIARY_KEY = ['media', 'form', 'poll']

SOQAUXILIARY_NAME= DisplayList((
    ('media', 'Multimedia Files'),
    ('form', 'Application Forms'),
    ('poll', 'Polls'),
    ))


SOQAUXILIARY_SLOTS= {
    'media': 'here/soqmedia_slot/macros/mediaBox',
    'form': 'here/soqform_slot/macros/formBox',
    'poll': 'here/soqpopoll_slot/macros/popollBox',
    }

## set the SOQAUXILIARY_SLOTS POSITION, 'l' = left, 'r' = right

SOQAUXILIARY_SLOTSPOSITION= {
    'poll': 'l',
    'form': 'l',
    'media': 'r',
    }


##############################################################
##                       Compulsory Slots setting           ##
##############################################################


SOQAUXILIARY_SLOTS_BASICLEFT= ['here/soqnavigation_slot/macros/navigationBox']
SOQAUXILIARY_SLOTS_BASICRIGHT= []


##///////////////////////   Others  ///////////////////////##

##############################################################
##                    Form setting                          ##
##############################################################

#SOQFORM_TYPES= DisplayList((
#    ('email', 'Email Form', 'Send the information the contact email account'),
#    ('file', 'File Form', 'This form has file attachment'),
#    ('file_email', 'File Email Form', 'This form has file attachment, and the information will be sent to the contact email account'),
#    ('plain', 'Plain Submit Form'),
#    ))

#SOQFORM_ALLOWED_TYPES= ('Form StringField','Form PasswordField', 'Form EmailField', 'Form PatternField', 'Form CheckBoxField', 'Form MultiCheckBoxField', 'Form FloatField', 'Form IntegerField', 'Form TextAreaField', 'Form RawTextAreaField', 'Form ListField', 'Form MultiListField', 'Form LinesField', 'Form FileField', 'Form LinkField', 'Form DateTimeField', 'Form RadioField', )
SOQFORM_ALLOWED_TYPES_NAMES= ('Form StringField','Form PasswordField', 'Form EmailField', 'Form PatternField', 'Form CheckBoxField', 'Form MultiCheckBoxField', 'Form FloatField', 'Form IntegerField', 'Form TextAreaField', 'Form RawTextAreaField', 'Form ListField', 'Form MultiListField', 'Form LinesField', 'Form FileField', 'Form LinkField', 'Form DateTimeField', 'Form RadioField', )

SOQFORM_ENCTYPE=DisplayList((
    [('no enctype', ''),
    ('multipart/form-data', 'multipart/form-data'),
    ('application/x-www-form-urlencode', 'application/x-www-form-urlencode')]
    ))

SOQFORM_METHODS = DisplayList((
    ('GET', 'GET'),
    ('POST', 'POST'),
    ))


##############################################################
##                        Mimetype values                   ##
##############################################################

## for video 

SOQVIDEO_MIMETYPE= DisplayList((
    ('video/quicktime', 'Quicktime Video (mov)'),
    ('application/vnd.rn-realmedia', 'Real Video (rm)'),
    ('video/mpeg','video/mpeg'),
    ('video/x-ms-asf','Advanced Streaming Format (asf)'),
    ('video/x-ms-wmv','Window Media Player Video (wmv)'),
    ('video/x-ms-asx','ASF (asx)'),
    ('video/x-ms-wvx','WMV,WMA,ASF (wmv,wma,asf)'),
    ))

## for audio

SOQAUDIO_MIMETYPE= DisplayList((
    ('application/vnd.rn-realmedia', 'Real Audio (rm)'),
    ('audio/wav', 'Waveform sound format (wav)'),
    ('audio/x-aiff', 'Audio Interchange File Format (aif, aiff)'),
    ('audio/mid', 'Midi format (mid)'),
    ))

## for document

SOQDOC_MIMETYPE= DisplayList((
    ('application/msword', 'MS Word'),
    ('application/pdf', 'PDF'),
    ('application/vnd.ms-excel', 'MS Excel'),
    ('application/vnd.ms-powerpoint','MS PowerPoint'),
    ))

##############################################################
##                        Image values                   ##
##############################################################

## for video 

SOQIMAGE_SIZES= { 'icon'   : (16,16),
                  'thumb'   : (60,60),
                  'mini'   : (80,80),
                  'small'  : (120,120),
                  'normal' : (200,200),
                  'big'    : (300,300),
                  'maxi'   : (500,500)}
                  
                  
##############################################################
##                  Remote Channel values                   ##
##############################################################

SOQREMOTECHANNEL_VALIDMETHODLIST= ['getChannelPublished','getChannelLogo', 'getFolderTotal', 'getChannelCodecs', 'ackChannel']
                  
                  