## Script (Python) "getChannelPublished"
##title=get the published items in the channel
##parameters=total=100

import string
from DateTime import DateTime
self = context

items=self.listChannelFolderContents(state='published', sort_on='date', sort_order='reverse')[:total]

soqclub_tool = self.soqclub_tool
codecs = soqclub_tool.getCodecs()

typelist = []
for it in items:
    ## calling the unicode/encode function will harm performance, however, I found it's my easiest way to exchange data among sites via XML-RPC
    if codecs <>'':
        try:
            title = unicode(it.title_or_id()).encode(codecs)
        except:
            title = it.title_or_id()
        
        des = getattr(it, 'description', '')[:51]
        try:
            description = unicode(des).encode(codecs)
        except:
            description = des
    else:
        title = it.title_or_id()
        description = getattr(it, 'description', '')
    
    #u = unicode(title,'Big5')
    modified = it.bobobase_modification_time()
    typelist.append({'id':it.id
                ,'title': title
                ,'icon':it.getIcon()
                ,'meta_type': it.meta_type
                ,'description':description
                ,'meta_type': it.meta_type
                ,'bobobase_modification_time': modified.strftime('%Y-%m-%d %I:%M %p')
                })
return typelist
